<template>
  <div class="flex">
    <library-sidebar />
    <div class="w-full">
      <router-view />
    </div>
  </div>
</template>

<script setup>
import { onMounted } from 'vue';
import { useTheme } from 'vuetify';
import LibrarySidebar from '@/components/library_structure/LibrarySidebar.vue';

const theme = useTheme();
onMounted(() => {
  theme.global.name.value =
    localStorage.getItem('svn-library-theme') ?? 'interview';
});
</script>
